body{
    padding: 40px 10%;
    text-align: center;
}


/* envelope */

.envelope-wrap {
  position: relative;
  width: 100%;
  max-width: 400px;
  margin: 0 auto;
}

.envelope {
  position: absolute;
  width: 100%;
  height: auto;
  top: 0;
  left: 0;
  z-index: 2;

  animation: envelopeDisappear 1s ease 1.3s forwards;
}

@keyframes envelopeDisappear {
  from {
    opacity: 1;
    visibility: visible;
  }

  to {
    opacity: 0;
    visibility: hidden;
  }
}
/* accessibility */
@media (prefers-reduced-motion: reduce) {
  .letter {
    animation: none;
  }
}


/* heading */

.playfair-italic {
  font-family: "Playfair Display", serif;
  font-optical-sizing: auto;
  font-weight: 500;
  font-style: italic;
}

.playfair-italic-bold {
  font-family: "Playfair Display", serif;
  font-optical-sizing: auto;
  font-weight: 600;
  font-style: italic;
}

.playfair {
  font-family: "Playfair Display", serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
}

.mea-culpa {
  font-family: "Mea Culpa", cursive;
  font-weight: 400;
  font-style: normal;
}

.large-text {
  font-size: 48px;
}

.bonnieporttext {
    width: 100%;
    width: 800px;
    height: auto;
    display: block; /* centering */
    margin: 0 auto;

    opacity: 0;
    animation: textFadeDown 1.5s ease-out 1.3s forwards;
}

@keyframes textFadeDown {
  from {
    opacity: 0;
    transform: translateY(-80px);
  }

  to {
    opacity: 1;
    transform: translateY(0);
  }
}
/* accessibility */
@media (prefers-reduced-motion: reduce) {
  .letter {
    animation: none;
  }
}

.secondary-text {
    width: 100%;
    width: 800px;
    height: auto;
    display: block; /* centering */
    margin: 0 auto;

    opacity: 0;
    animation: textFadeDown 1.5s ease-out forwards;
}

@keyframes textFadeDown {
  from {
    opacity: 0;
    transform: translateY(-80px);
  }

  to {
    opacity: 1;
    transform: translateY(0);
  }
}
/* accessibility */
@media (prefers-reduced-motion: reduce) {
  .letter {
    animation: none;
  }
}



/* general */

.small-text {
  font-size: 18.5px;
}

.large-text {
    font-size: 30px;
}

/* if in the same element */
.tight-text {
  line-height: 1.1;
}

h1 {
  margin-bottom: 5px;
  margin-top: 0;
}
h3 {
  margin-bottom: 0px;
  margin-top: 0;
}

.button{
    background-color: #bbcddf;
    border-radius: 10px;
    border: 1px solid;
    padding: 10px 10px;
    color: #467caf;
    text-decoration: none;
    margin:auto;
}


/* education (removed) */

.school {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 8px;
}

.school img {
  width: 25px;
  height: auto;
}



/* letter */
.letter {
  position: relative;
  width: 100%;
  max-width: 800px;
  margin: 0 auto;

  opacity: 0;
  animation: letterFadeDown 1.5s ease-out 1.2s forwards;
}

@keyframes letterFadeDown {
  from {
    opacity: 0;
    transform: translateY(-80px) rotate(-2deg);
  }

  to {
    opacity: 1;
    transform: translateY(0) rotate(0deg);
  }
}
/* accessibility */
@media (prefers-reduced-motion: reduce) {
  .letter {
    animation: none;
  }
}




.letter-background {
  display: block;
  width: 100%;
  height: auto;
  position: relative;
  z-index: 1;
}

.headshot {
  position: absolute;
  width: 300px;
  height: auto;
  top: 250px;
  right: 100px;

  z-index: 3; /* layering */
  
  opacity: 0;
  animation: headshotFadeDown 2s ease-out 1.3s forwards;
}

@keyframes headshotFadeDown {
  from {
    opacity: 0;
    transform: translateY(-80px) rotate(2deg);
  }

  to {
    opacity: 1;
    transform: translateY(0) rotate(6deg);
  }
}
/* accessibility */
@media (prefers-reduced-motion: reduce) {
  .letter {
    animation: none;
  }
}
  

.letter > .letter-background { /* targets only the letter background*/
  display: block;
  width: 100%;
  height: auto;
  margin: -40px auto 0;
}

.letter-text {
  position: absolute;
  top: 50%;
  left: 50%;
  top: 48%; /* currently 50%; smaller moves it upward */
  transform: translate(-50%, -50%);
  z-index: 2;
  
  width: 60%;
  text-align: center;
  color: #467caf;
}



/* secondary pages */
.container {
    display: grid; 
    gap: 20px;
    padding: 10px;
    width: 100%;
    max-width: 800px;
    margin: 0 auto;

    opacity: 0;
    animation: textFadeDown 1.5s ease-out 1s forwards;
}

@keyframes textFadeDown {
  from {
    opacity: 0;
    transform: translateY(-80px);
  }

  to {
    opacity: 1;
    transform: translateY(0);
  }
}
/* accessibility */
@media (prefers-reduced-motion: reduce) {
  .letter {
    animation: none;
  }
}

.project-card {
  background-color: #e9ebe4;
  border: 1px solid #467caf;
  border-radius: 10px;
  padding: 15px;
  text-align: left;
  display: grid;
  grid-template-columns: 200px 1fr;
  align-items: center;
  gap: 20px;
}

.project-image {
  display: block;
  width: 200px;
  height: 160px;
  object-fit: cover;
  border-radius: 8px;
}

/*for smaller screens */
@media (max-width: 600px) {
  .project-card {
    grid-template-columns: 1fr;
  }

  .project-image {
    width: 100%;
    height: 200px;
  }
}

.project-info h2 {
  margin: 0 auto;
  color: #467caf;
  font-size: 24px;
}

.project-info p {
  margin: 0;
  font-size: 16px;
  color: #467caf;
  line-height: 1.4;
}


/* contact */

.letter-contact {
  position: relative;
  width: 100%;
  max-width: 630px;
  margin: 0 auto;
  margin-top: -40px;

  opacity: 0;
  animation: letterFadeDown 1.5s ease-out forwards;
}

@keyframes letterFadeDown {
  from {
    opacity: 0;
    transform: translateY(-80px) rotate(-2deg);
  }

  to {
    opacity: 1;
    transform: translateY(0) rotate(0deg);
  }
}
/* accessibility */
@media (prefers-reduced-motion: reduce) {
  .letter {
    animation: none;
  }
}

.contact-buttons {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 12px;
}


.icon-button {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  gap: 2px;

  width: fit-content;
  padding: 0px 10px;
  background-color: #bbcddf;
  color: #467caf;
  font-size: 16px;
}


.icon-button img {
  width: 20px;
  height: 20px;
  object-fit: contain;
}